Custom Query (43 matches)

Filters
 
Or
 
  
 
Columns

Show under each result:


Results (40 - 42 of 43)

4 5 6 7 8 9 10 11 12 13 14 15
Ticket Resolution Summary Owner Reporter
#47 fixed Torque 5.0.x Support bas pcarey
Description

We are using torque 5.0.0, so I downloaded the latest stable pbs_python version (4.4.0). I am having problems with the make portion of pbs_python (4.4.0) with torque (5.0.0).

-bash-3.2$ ./configure checking for pbs-config... /usr/local/torque/5.0.0/bin/pbs-config Found torque version: 5.0.0 checking for python... /usr/bin/python checking for python version... 2.4 checking for python platform... linux2 checking for python script directory... ${prefix}/lib/python2.4/site-packages checking for python extension module directory... ${exec_prefix}/lib64/python2.4/site-packages configure: creating ./config.status config.status: creating Makefile config.status: WARNING: 'Makefile.in' seems to ignore the --datarootdir setting config.status: creating setup.py

-bash-3.2$ make #(cd src; make) python setup.py build running build running build_py creating build creating build/lib.linux-x86_64-2.4 copying src/pbs.py -> build/lib.linux-x86_64-2.4 copying src/PBSQuery.py -> build/lib.linux-x86_64-2.4 running build_ext building '_pbs' extension creating build/temp.linux-x86_64-2.4 creating build/temp.linux-x86_64-2.4/src creating build/temp.linux-x86_64-2.4/src/C++ g++ -fno-strict-aliasing -DNDEBUG -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -D_GNU_SOURCE -fPIC -I/usr/local/torque/5.0.0/include -fPIC -DTORQUE_4 -I/usr/include/python2.4 -c src/C++/pbs_wrap.cxx -o build/temp.linux-x86_64-2.4/src/C++/pbs_wrap.o In file included from src/C++/pbs_ifl.h:90,

from src/C++/pbs_wrap.cxx:2978:

/usr/local/torque/5.0.0/include/u_hash_map_structs.h:82:25: error: container.hpp: No such file or directory In file included from src/C++/pbs_wrap.cxx:2978: src/C++/pbs_ifl.h:91:22: error: u_memmgr.h: No such file or directory /usr/local/torque/5.0.0/include/u_hash_map_structs.h:105: error: ‘string’ in namespace ‘std’ does not name a type /usr/local/torque/5.0.0/include/u_hash_map_structs.h:106: error: ‘string’ in namespace ‘std’ does not name a type /usr/local/torque/5.0.0/include/u_hash_map_structs.h: In constructor ‘job_data::job_data(const char*, const char*, int, int)’: /usr/local/torque/5.0.0/include/u_hash_map_structs.h:115: error: ‘name’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:116: error: ‘value’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h: At global scope: /usr/local/torque/5.0.0/include/u_hash_map_structs.h:120: error: ‘container’ has not been declared /usr/local/torque/5.0.0/include/u_hash_map_structs.h:120: error: expected initializer before ‘<’ token /usr/local/torque/5.0.0/include/u_hash_map_structs.h:121: error: ‘job_data_container’ has not been declared /usr/local/torque/5.0.0/include/u_hash_map_structs.h:121: error: expected initializer before ‘job_data_iterator’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: expected primary-expression before ‘int’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: expected primary-expression before ‘int’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:123: error: initializer expression list treated as compound expression /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: variable or field ‘hash_add_or_exit’ declared void /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: expected primary-expression before ‘int’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:125: error: initializer expression list treated as compound expression /usr/local/torque/5.0.0/include/u_hash_map_structs.h:127: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:127: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:127: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:127: error: initializer expression list treated as compound expression /usr/local/torque/5.0.0/include/u_hash_map_structs.h:129: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:129: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: expected primary-expression before ‘const’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: expected primary-expression before ‘*’ token /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: ‘env_var’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:131: error: initializer expression list treated as compound expression /usr/local/torque/5.0.0/include/u_hash_map_structs.h:133: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:133: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:135: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:135: error: ‘head’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: ‘dest’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: ‘src’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: expected primary-expression before ‘int’ /usr/local/torque/5.0.0/include/u_hash_map_structs.h:137: error: initializer expression list treated as compound expression /usr/local/torque/5.0.0/include/u_hash_map_structs.h:139: error: ‘job_data_container’ was not declared in this scope /usr/local/torque/5.0.0/include/u_hash_map_structs.h:139: error: ‘src’ was not declared in this scope src/C++/pbs_ifl.h:658: error: ‘memmgr’ has not been declared src/C++/pbs_wrap.cxx: In function ‘PyObject?* _wrap_pbs_submit_hash(PyObject?*, PyObject?*)’: src/C++/pbs_wrap.cxx:7178: error: ‘memmgr’ was not declared in this scope src/C++/pbs_wrap.cxx:7178: error: ‘arg2’ was not declared in this scope src/C++/pbs_wrap.cxx:7178: error: expected primary-expression before ‘)’ token src/C++/pbs_wrap.cxx:7178: error: expected `;' before numeric constant src/C++/pbs_wrap.cxx:7228: error: expected primary-expression before ‘)’ token src/C++/pbs_wrap.cxx: At global scope: src/C++/pbs_wrap.cxx:893: warning: ‘long int PyNumber_AsSsize_t(PyObject?*, void*)’ defined but not used error: command 'g++' failed with exit status 1 make: * [pythonlib] Error 1

As a sanity check I built pbs_python (4.4.0) against an older version of torque (4.2.7), and the build succeeds. Has anyone tested the newest stable pbs_python against torque version 5.0.x? I know that the 5.0.x torque series is new.

Thank you.

#49 fixed 15044 Resources temporarily unavailable in pbs_python-4.4.0 for torque 4.2.8 bas aroudgar@…
Description

Hi,

I have compiled pbs_python-4.4.0 using gcc compiler and install it at the default path. We are using:

# qsub --version Version: 4.2.8

and python 2.7.4. However, when I run the following simple python program:

import pbs

server_name = pbs.pbs_default() print "Server name",server_name c = pbs.pbs_connect(server_name)

attropl = pbs.new_attropl(1)

# Set the name of the job # attropl[0].name = pbs.ATTR_N attropl[0].value = 'test'

#

job_id = pbs.pbs_submit(c, attropl, "A1.tsk", 'default', 'NULL')

e, e_txt = pbs.error() if e:

print e,e_txt

print job_id

# python submission.py Server name b0 constructor called 15044 Resources temporarily unavailable None

qsub is in default searching path and it works in our cluster from above command line.

Any suggestion would be highly appreciated.

Cheers, Ata


Ata Roudgar Research Computing WestGrid? Site IT Services Simon Fraser University Burnaby, British Columbia Canada V5A 1S6

phone: 778 782-8860 fax: 778 782-4242

#51 fixed Swig errors with pbs_python 4.4.0 and Torque 4.2.9 bas cganote@…
Description

Hi,

I've seen a few tickets already on errors with undefined symbols, and I've tried replacing the pbs.py and pbs_wrap.c files as well as the setup.py.in file while compiling, to no avail. I'm still having issues linking these libraries. I'm running CentOS 6.6 and compiling with gcc 4.4.7. Here's what I see:

# Set up a Torque Client
cd torque-4.2.9
./configure --prefix=$(pwd) --mandir=$(pwd)/man  --libdir=$(pwd)/lib64 CC="gcc -m64" --enable-drmaa 
make
make install_clients
export LD_LIBRARY_PATH=$(pwd)/lib64:$LD_LIBRARY_PATH
cd bin
export PATH=$(pwd):$PATH

# Set up pbs_python
cd ..
mkdir pbs_py_again
cd pbs_py_again/
wget ftp://ftp.surfsara.nl/pub/outgoing/pbs_python.tar.gz
tar -xzvf pbs_python.tar.gz 
cd pbs_python-4.4.0/
./configure --prefix=$(pwd) --with-pbsdir=/full/path/to/new/torque-4.2.9
make
emacs Makefile # Because the paths are all screwed up - is this ever going to be fixed?
make install
cd lib/python2.7/site-packages/pbs
export PYTHONPATH=$(pwd)
cd ~
python submit.py #Import pbs

#Traceback (most recent call last):
#  File "submit.py", line 5, in <module>
#    import pbs
#  File "/path/to/pbs/pbs.py", line 25, in <module>
#    _pbs = swig_import_helper()
#  File "/path/to/pbs/pbs.py", line 21, in #swig_import_helper
#    _mod = imp.load_module('_pbs', fp, pathname, description)
#ImportError: /path/to/pbs/_pbs.so: undefined symbol: log_remove_old
4 5 6 7 8 9 10 11 12 13 14 15
Note: See TracQuery for help on using queries.